Package com.oracle.truffle.api.dsl

## Class UnsupportedSpecializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.oracle.truffle.api.dsl.UnsupportedSpecializationException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class UnsupportedSpecializationException
    extends java.lang.RuntimeException

Thrown by the generated code of Truffle-DSL if no compatible Specialization could be found for the provided values.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UnsupportedSpecializationException​(Node node, Node[] suppliedNodes, java.lang.Object... suppliedValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Node` `getNode()` Returns the `Node` that caused the this `UnsupportedSpecializationException`.
`Node[]` `getSuppliedNodes()` Returns the children of the `Node` returned by `getNode()` which produced the values returned by `getSuppliedValues()`.
`java.lang.Object[]` `getSuppliedValues()` Returns the dynamic values that were supplied to the node.The array returned by `getSuppliedNodes()` has the same length as the array returned by `getSuppliedValues()`.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedSpecializationException

    public UnsupportedSpecializationException​(Node node,
                                              Node[] suppliedNodes,
                                              java.lang.Object... suppliedValues)

### Method Detail

#### getNode

    public Node getNode()

Returns the `Node` that caused the this `UnsupportedSpecializationException`.

#### getSuppliedNodes

    public Node[] getSuppliedNodes()

Returns the children of the `Node` returned by `getNode()` which produced the values returned by `getSuppliedValues()`. The array returned by `getSuppliedNodes()` has the same length as the array returned by `getSuppliedValues()`. Never returns null.

#### getSuppliedValues

    public java.lang.Object[] getSuppliedValues()

Returns the dynamic values that were supplied to the node.The array returned by `getSuppliedNodes()` has the same length as the array returned by `getSuppliedValues()`. Never returns null.